function downloads_onChanged(downloadDelta) {
	if (downloadDelta.state && (downloadDelta.state.current === "complete")) {
		browser.downloads.search({id: downloadDelta.id})
		.then(function(downloadItems) {
			if (downloadItems[0].byExtensionId == browser.runtime.id) {
				browser.downloads.erase({id: downloadDelta.id}).then(function(ids) {
					URL.revokeObjectURL(downloadItems[0].url)
				})
			}
		})
	}
}

browser.downloads.onChanged.addListener(downloads_onChanged)

let blob = new Blob(["Test"], {type: 'text/plain'})
let url = URL.createObjectURL(blob)
browser.downloads.download({
	conflictAction: "overwrite",
	filename: "Test.txt",
	saveAs: false,
	url: url
})
